## org.apache.lucene.util.fst
Class Builder.Arc<T>

    java.lang.Object
      org.apache.lucene.util.fst.Builder.Arc<T>

Enclosing class:
  Builder<T>

    public static class Builder.Arc<T>

extends Object

Expert: holds a pending (seen but not yet serialized) arc.

Field Summary
`boolean` `isFinal`
`int` `label`
`T` `nextFinalOutput`
`T` `output`
`org.apache.lucene.util.fst.Builder.Node` `target`

Constructor Summary
`Builder.Arc()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### label

    public int label

### target

    public org.apache.lucene.util.fst.Builder.Node target

### isFinal

    public boolean isFinal

### output

    public T output

### nextFinalOutput

    public T nextFinalOutput

Constructor Detail

### Builder.Arc

    public Builder.Arc()

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.